/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package colisoes;

import java.awt.Graphics;
import javaPlay.GameEngine;
import javaPlay.GameStateController;
import javaPlay.Keyboard;
import javaPlay.Sprite;

/**
 *
 * @author Gefersom
 */
public class Perdeu implements GameStateController
{
    // Classe que guardará o o desenho apresentado na tela inicial do jogo
    Sprite sprite;

    public void load() {
        //cria uma instância da classe Sprite com um tamanho para a figura de 800 pixels de largura e
        //600 pixels de altura
        sprite = new Sprite( "perdeu.png", 1, 800, 600 );
    }

    public void step(long timeElapsed)
    {
        //Retorna uma instancia da classe Keyboard par a verificação de qual tecla foi pressionada
        Keyboard k = GameEngine.getInstance().getKeyboard();

        if ( k.keyDown(Keyboard.ENTER_KEY) )//Se a tecla enter for pressionada o jogo é encerrado
        GameEngine.getInstance().requestShutdown();
    }

    public void draw(Graphics g)
    {
        //Desenha o sprite na tela começando na posição x=0 e y=0 da tela
        sprite.draw(g, 0, 0);
    }

    public void unload() {
    }

    public void start() {
    }

    public void stop() {
    }
}
